{ config, pkgs, ... }:

{
  imports = [
    "${builtins.fetchGit { url = "https://github.com/rycee/home-manager.git"; ref = "master"; }}/nixos"
  ];
  home-manager.users.root = import ../../../home-manager/configuration/text-minimal.txt;

  nixpkgs.config = {
    allowBroken = false;
    allowUnfree = true;

    packageOverrides = pkgs: with pkgs; {
      busyboxStatic =  busybox.override {
        enableStatic = true;
        extraConfig = ''
           CONFIG_STATIC y
           CONFIG_INSTALL_APPLET_DONT y
           CONFIG_INSTALL_APPLET_SYMLINKS n
         '';
      };
    };
  };

  environment.systemPackages = with pkgs; [
    elfutils
    exfat
    file
    tree
    pwgen
    proot

    parted
    pv
    tmux
    wget
    curl

    gitFull
    pastebinit
    gist
    mr

    usbutils
    pciutils
  ];
}
